﻿switch -wildcard ($(hostname.exe))
{
    'sea*'  {$CAName = 'SeattleCA'}
    'van*'  {$CAName = 'VancouverCA'}
    'den*'  {$CAName = 'DenverCA'}
    'per*'  {$CAName = 'PerthCA'}
    'bri*'  {$CAName = 'BrisbaneCA'}
    'lis*'  {$CAName = 'LisbonCA'}
    'bon*'  {$CAName = 'BonnCA'}
    'lim*'  {$CAName = 'LimaCA'}
    Default {$CAName = Read-Host 'CA Name' }
}

Install-WindowsFeature ADCS-Cert-Authority  -Restart -IncludeManagementTools
sleep 5
Install-AdcsCertificationAuthority -CACommonName:$CAName -CAType:EnterpriseRootCA -Confirm:$false -force
Read-Host "Press ENTER to exit!"