﻿# $author = T. Butz, 
# $version = summit.2014.07.01
# $url = 'www.thorsten-butz.de'; $twitter = $adn = '@thorstenbutz'

# ENABLE PS-REMOTING FOR WORKGROUPS
Set-Item WSMan:\localhost\Client\TrustedHosts * -Force

# DISABLE DHCP-SERVER ROQUE DETECTION
REG ADD "HKLM\SYSTEM\CurrentControlSet\Services\DHCPServer\Parameters" /v DisableRogueDetection /t REG_DWORD /d 1 /f

# CREATE A SHARE
New-SmbShare -name depot -path "C:\Depot" -FullAccess:Everyone

# CONFIGURE FW
netsh.exe advfirewall firewall set rule group="windows management instrumentation (wmi)" new enable=yes

# INSTALLAING CHOCOLATEY
iex ((new-object net.webclient).DownloadString('https://chocolatey.org/install.ps1'))
$env:Path += ";$env:systemdrive\chocolatey\bin"
Start-Process -Wait "c:\Chocolatey\bin\cinst.bat" -ArgumentList "isorecorder"