# Configuring edge server with 2 NICs

 "Starting setup1.ps1 ..."
sleep 5

$ip4a = "192.168.0.254"
# $ip4b = DHCP


$nics = gip etherne*
$defgw4a = "192.168.0.254"
$pl = "24"
$dns = "192.168.0.1"


if ($nics[0]) {
  $nics[0] | New-NetIPAddress -IPAddress $ip4a -AddressFamily IPv4 -PrefixLength $pl
  $nics[0] | Set-DnsClientServerAddress -ServerAddresses $dns
  $nics[0] | Rename-NetAdapter -newname CorporateLAN
} 

if ($nics[1]) {
  $nics[1] | Rename-NetAdapter -newname Internet
}

sleep 3

# In case U need a domain join, flip to TRUE

[bool]$domainjoin = $false

if ($domainjoin) {

  $domain = (hostname.exe).substring(0,3) + '.contoso.com'

  if (Test-Connection $domain -Quiet -Count 2) {
    $password = ConvertTo-SecureString 'Pa$$w0rd' -AsPlainText -Force
    $cred = New-Object System.Management.Automation.PSCredential ("administrator@$domain", $password)
    Add-Computer -DomainName $domain -Credential $cred 
    Restart-Computer -force
  } 
}